Subject: Re: [PATCH v17 1/2] refactor format_branch_comparison in preparation

From: Junio C Hamano <[email-masked]>
Date: Sat, 10 Jan 2026 09:31:20 -0800

Harald Nordgren <[email-masked]> writes:

> I can rename the sti's to 'cmp_fetch' and 'cmp_fetch_push', but does it
> help?

Not at all.  Unless the contrast were "something_fetch" vs
"something_push", that is.  And that something being cryptic "sti"
(recall my comment on it, being the name of the function that
returns the value, which is less understandable than using words
that signals what the variable _means_), would not make much sense
for the "push" direction, as "sti" is not even an abbreviation for
the function that gives the value.  "cmp" (or "compare" for that
matter) still has the ambiguity "compare with what and what for?",
but at least it would be better than "sti".